﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;

using VFECore.Abilities;

namespace Outland
{
    public class HediffComp_NaturalMage : HediffComp
    {
        public override bool CompDisallowVisible() => true;

        public override void CompPostMake()
        {
            base.CompPostMake();

            if (!Pawn.health.hediffSet.HasHediff(OutlandDefOf.Outland_ArcaneClass) && HediffMaker.MakeHediff(OutlandDefOf.Outland_ArcaneClass, Pawn, Pawn.RaceProps.body.GetPartsWithDef(BodyPartDefOf.Brain).FirstOrFallback()) is Hediff_Abilities implant)
            {
                implant.Severity = 0f;
                implant.giveRandomAbilities = true;
                Pawn.health.AddHediff(implant);
                implant.SetLevelTo(0);
            }
        }
    }
}
